Bug 985574 - SELinux is preventing /usr/libexec/ck-get-x11-server-pid from 'connectto' accesses on the unix_stream_socket @/tmp/.X11-unix/X0.
SELinux is preventing /usr/libexec/ck-get-x11-server-pid from 'connectto' acc...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:db8d630977597c521f0966d37b9...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-17 15:15 EDT by lgwalts
Modified: 2013-10-25 05:25 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-25 05:25:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description lgwalts 2013-07-17 15:15:22 EDT
Description of problem:
start vlc
SELinux is preventing /usr/libexec/ck-get-x11-server-pid from 'connectto' accesses on the unix_stream_socket @/tmp/.X11-unix/X0.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that ck-get-x11-server-pid should be allowed connectto access on the X0 unix_stream_socket by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep ck-get-x11-serv /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:consolekit_t:s0
Target Context                system_u:system_r:xdm_t:s0-s0:c0.c1023
Target Objects                @/tmp/.X11-unix/X0 [ unix_stream_socket ]
Source                        ck-get-x11-serv
Source Path                   /usr/libexec/ck-get-x11-server-pid
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           ConsoleKit-x11-0.4.5-5.fc19.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-63.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.9.9-302.fc19.x86_64 #1 SMP Sat
                              Jul 6 13:41:07 UTC 2013 x86_64 x86_64
Alert Count                   1
First Seen                    2013-07-17 14:08:21 CDT
Last Seen                     2013-07-17 14:08:21 CDT
Local ID                      57561dec-21d1-43c7-b145-fe088a00985f

Raw Audit Messages
type=AVC msg=audit(1374088101.541:407): avc:  denied  { connectto } for  pid=1232 comm="ck-get-x11-serv" path=002F746D702F2E5831312D756E69782F5830 scontext=system_u:system_r:consolekit_t:s0 tcontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 tclass=unix_stream_socket


type=SYSCALL msg=audit(1374088101.541:407): arch=x86_64 syscall=connect success=no exit=EACCES a0=3 a1=7fff56a29d90 a2=14 a3=7fff56a29d93 items=0 ppid=1231 pid=1232 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=4294967295 tty=(none) comm=ck-get-x11-serv exe=/usr/libexec/ck-get-x11-server-pid subj=system_u:system_r:consolekit_t:s0 key=(null)

Hash: ck-get-x11-serv,consolekit_t,xdm_t,unix_stream_socket,connectto

Additional info:
reporter:       libreport-2.1.5
hashmarkername: setroubleshoot
kernel:         3.9.9-302.fc19.x86_64
type:           libreport

Potential duplicate: bug 804238
Comment 1 Daniel Walsh 2013-07-18 11:21:19 EDT
Strange why is xdm_t listening on the /tmp/.X11-unix/X0  and not the X server?

Note You need to log in before you can comment on or make changes to this bug.